package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 品牌报价工序检验项对象 dev_brand_quotation_process_qcindex
 *
 * @author generator
 * @date 2024-01-28
 */
public class DevBrandQuotationProcessQcindex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long brandQuotationProcessQcindexId;

    /** 品牌报价单ID */
    @Excel(name = "品牌报价单ID")
    private Long brandQuotationId;

    /** 品牌报价工序ID */
    @Excel(name = "品牌报价工序ID")
    private Long brandQuotationProcessId;

    /** 产品物料ID */
    @Excel(name = "产品物料ID")
    private Long qcindexId;

    public void setBrandQuotationProcessQcindexId(Long brandQuotationProcessQcindexId)
    {
        this.brandQuotationProcessQcindexId = brandQuotationProcessQcindexId;
    }

    public Long getBrandQuotationProcessQcindexId()
    {
        return brandQuotationProcessQcindexId;
    }
    public void setBrandQuotationId(Long brandQuotationId)
    {
        this.brandQuotationId = brandQuotationId;
    }

    public Long getBrandQuotationId()
    {
        return brandQuotationId;
    }
    public void setBrandQuotationProcessId(Long brandQuotationProcessId)
    {
        this.brandQuotationProcessId = brandQuotationProcessId;
    }

    public Long getBrandQuotationProcessId()
    {
        return brandQuotationProcessId;
    }
    public void setQcindexId(Long qcindexId)
    {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId()
    {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandQuotationProcessQcindexId", getBrandQuotationProcessQcindexId())
            .append("brandQuotationId", getBrandQuotationId())
            .append("brandQuotationProcessId", getBrandQuotationProcessId())
            .append("qcindexId", getQcindexId())
            .append("remark", getRemark())
            .toString();
    }
}
